/*
 * Copyright (c) 2014 - 2015 Samsung Electronics Co., Ltd. All rights reserved.
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 * http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 *
 */

#ifndef OAUTH2_PROVIDER_CONFIGS_H_
#define OAUTH2_PROVIDER_CONFIGS_H_

/*Google Service Provider related keys and urls*/
#define GOOGLE_CLIENT_ID "dummy_client_id" /*Developer has to obtain the consumer id from google developer site*/
#define GOOGLE_CLIENT_SECRET "dummy_client_secret" /*Developer has to obtain the consumer secret from google developer site*/
#define GOOGLE_AUTH_URL "https://accounts.google.com/o/oauth2/auth"
#define GOOGLE_REQ_TOK_URL "https://accounts.google.com/o/oauth2/token"
#define GOOGLE_REDIRECT_URL "https://localhost:8080"
#define GOOGLE_SCOPE "email"
#define GOOGLE_REFRESH_TOKEN_URL "https://www.googleapis.com/oauth2/v3/token"

/*Google Refresh token for web apps needs offline access and user consent custom data*/
#define GOOGLE_ACCESS_TYPE_KEY "access_type"
#define GOOGLE_ACCESS_TYPE_VAL "offline"
#define GOOGLE_PROMPT_KEY "prompt"
#define GOOGLE_PROMPT_VAL "consent"

/*Facebook Service Provider related keys and urls*/
#define FACEBOOK_CLIENT_ID "dummy_client_id" /*Developer has to obtain the consumer id from facebook developer site*/
#define FACEBOOK_AUTH_URL "https://www.facebook.com/dialog/oauth"
#define FACEBOOK_SCOPE "read_stream"

/*Twitter Service Provider related keys and urls*/
#define TWITTER_CONS_KEY "dummy_consumer_key" /*Developer has to obtain the consumer key from twitter developer site*/
#define TWITTER_CONS_SEC "dummy_consumer_secret" /*Developer has to obtain the consumer secret from twitter developer site*/
#define TWITTER_AUTH_URL "https://api.twitter.com/oauth2/token"
#define TWITTER_REQ_TOK_URL "https://api.twitter.com/oauth2/token"

/*Salesforce Service Provider related keys and urls*/
#define SALESFORCE_CLIENT_ID "dummy_client_id" /*Developer has to obtain the consumer id from salesforce developer site*/
#define SALESFORCE_CLIENT_SECRET "dummy_client_secret" /*Developer has to obtain the consumer secret from salesforce developer site*/
#define SALESFORCE_CLIENT_USER_NAME "dummy_client_user_name" /*Developer has to provide the account id for salesforce developer site*/
#define SALESFORCE_CLIENT_PASSWORD "dummy_client_password" /*Developer has to obtain the client password from salesforce developer site*/
#define SALESFORCE_AUTH_URL "https://login.salesforce.com/services/oauth2/authorize"
#define SALESFORCE_REQ_TOK_URL "https://login.salesforce.com/services/oauth2/token"

/*All apps are registered with this redirection url*/
#define OAUTH2_REDIRECT_URL "dummy_redirect_url" /*Developer has to provide the redirect url*/

#endif /* OAUTH2_PROVIDER_CONFIGS_H_ */
